$(document).ready(function() {
	$('#search').submit(function(){
		var sQuery = $('#search_q').val();
		$('#search_submit').attr('disabled', true);
			
		$.getJSON('?q=' + sQuery, function(o) {
			$('#search_submit').attr('disabled', false);
			
			// create a dummy table and destroy it to purge any existing table
			$('#app').dataTable({'bDestroy':true, 'aaData':[[1]], 'aoColumns':[{'sTitle':'i'}]}).fnDestroy();
			$('#app').empty();
						
			var aoData = o.aaData;
			if (aoData.length == 0){
				return;
			}
			
			var aoColumns = [];
			var oCols = {};
			for (var i in aoData){
				for (var j in aoData[i]){
					oCols[j] = 1;
				}
			}
			var aCols = [];
			for (var i in oCols){
				aCols.push(i);
				aoColumns.push({'sTitle':i});
			}
			
			var aaData = [];
			for (var i in aoData){
				var aRow = [];
				for (var j in aCols){
					var sKey = aCols[j];
					if (typeof aoData[i][sKey] == 'undefined'){
						aoData[i][sKey] = '';
					}
					aRow.push(aoData[i][sKey]);
				}
				aaData.push(aRow);
			}
						
			var oTable = $('#app').dataTable( {
		  		'bDestroy': true,
		  		'bPaginate': false,
	            'aaData': aaData,
	            'aoColumns': aoColumns
	    	} );
	    	
		});
		return false; //preventDefault
	} );
	
});